CODB2JSON(1)

NAME
codb2json - convert CANopen Profile data base (codb) files to JSON format

SYNOPSIS
codb2json input-file [-f]

DESCRIPTION
codb2json converts a CANopen Profile data base (codb) file to JSON format. The resulting JSON file can be used by canopenterm(1) to check the conformity of a CANopen CC interface against the CANopen application layer and communication profile (CiA 301).

JSON is used as the output format because it is robust, easy to process, and widely accepted, in contrast to the binary codb format which is antiquated and difficult to maintain.

OPTIONS

input-file
    Path to the input codb file to convert.

-f  Format (pretty-print) the JSON output.

EXAMPLES
Convert a codb file with compact output:

    codb2json v301.codb

Convert a codb file with formatted output:

    codb2json v301.codb -f

SEE ALSO
canopenterm(1)

AUTHORS
Michael Fitzmayer.

This manual page was written by Christopher Obbard <obbardc@debian.org> for the Debian project.